{{ $appSection := "backend" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}-internal
  annotations:
    {{ if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    {{ end }}
spec:
  ingressClassName: {{ (index .Values $appSection "ingress" "admin" "class" | quote ) }}
  rules:
    - host: {{ index .Values $appSection "ingress" "admin" "host" }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: {{ index .Values $appSection "port" }}
            path: /
            pathType: Prefix
  {{ if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
  tls:
    - hosts:
        - {{ index .Values $appSection "ingress" "admin" "host" }}
      secretName: {{ index .Values $appSection "ingress" "admin" "host" }}-tls
  {{ end }}
